# deflate_add

(PHP 7)

deflate_add — Incrementally deflate data

### Description

deflate_add ( resource `$context` , string `$data` [, int `$flush_mode` = ZLIB_SYNC_FLUSH ] ) : string

Incrementally deflates data in the specified context.

### Parameters

`context`

  A context created with deflate_init().

`data`

  A chunk of data to compress.

`flush_mode`

  One of `ZLIB_BLOCK`, `ZLIB_NO_FLUSH`, `ZLIB_PARTIAL_FLUSH`, `ZLIB_SYNC_FLUSH` (default), `ZLIB_FULL_FLUSH`, `ZLIB_FINISH`. Normally you will want to set `ZLIB_NO_FLUSH` to maximize compression, and `ZLIB_FINISH` to terminate with the last chunk of data. See the » zlib manual for a detailed description of these constants.

### Return Values

Returns a chunk of compressed data, or `FALSE` on failure.

### Errors/Exceptions

If invalid arguments are given, an error of level `E_WARNING` is generated.

### See Also

- deflate_init() - Initialize an incremental deflate context